<div class="panel-left">
  <ng-content></ng-content>
</div>
<div class="panel-center full-width">
  <div class="title">
    <sqtm-core-editable-text-field
      #entityNameField
      class="entity-name"
      [attr.data-test-field-id]="'entity-name'"
      [value]="entityName$ | async"
      [editable]="editableTitle"
      [required]="true"
      [trimValue]="true"
      [layout]="'compact'"
      [size]="'large'"
      (confirmEvent)="handleNameChange($event)"
    >
    </sqtm-core-editable-text-field>
  </div>
</div>
<div class="panel-right flex-fixed-size">
  @if (showMenu) {
    <div
      class="more-icon font-20-px m-r-5 current-workspace-main-color"
      nz-dropdown
      [nzDropdownMenu]="dropdownMenu"
      [attr.data-test-button-id]="'menu-button'"
    >
      <i nz-icon nzType="sqtm-core-generic:more" nzTheme="outline"></i>
    </div>
  }
  @if (hasAttachments) {
    <div class="attachment-icon">
      <nz-badge
        [@.disabled]="true"
        [nzStyle]="{ backgroundColor: '#fff', color: '#000' }"
        [nzCount]="attachmentCount"
        (click)="attachmentBadgeClick()"
      >
        <i
          nz-icon
          nzTheme="outline"
          nzType="sqtm-core-generic:attachments"
          class="current-workspace-button font-30-px"
        >
        </i>
      </nz-badge>
    </div>
  }
</div>
